CREATE TABLE gl_date_period_map (
    PERIOD_SET_NAME          VARCHAR2(60) ,
    ACCOUNTING_DATE          DATE         ,
    PERIOD_NAME              VARCHAR2(60) ,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    PERIOD_TYPE              VARCHAR2(60) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    ENTERPRISE_ID            NUMBER(18, 0),
    PERIOD_SET_NAME          VARCHAR2(60) ,
    ACCOUNTING_DATE          DATE         ,
    PERIOD_NAME              VARCHAR2(60) ,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    PERIOD_TYPE              VARCHAR2(60) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    ENTERPRISE_ID            NUMBER(18, 0),
    CONSTRAINT pk_gl_date_period_map PRIMARY KEY (PERIOD_SET_NAME, ACCOUNTING_DATE, PERIOD_NAME, PERIOD_TYPE, PERIOD_SET_NAME, ACCOUNTING_DATE, PERIOD_NAME, PERIOD_TYPE)
);
